## org.eclipse.datatools.connectivity.oda.design
Interface Property

public interface Property

The property of a data design component.

The following features are supported:

- `Name Value`
- `Design Attributes`

See Also:
  `DesignPackage.getProperty()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`PropertyAttributes` `getDesignAttributes()` Returns the value of the 'Design Attributes' containment reference.
`java.lang.String` `getName()` Returns the name of the 'Name Value' containment reference.
`NameValuePair` `getNameValue()` Returns the value of the 'Name Value' containment reference.
`java.lang.String` `getValue()` Returns the value of the 'Name Value' containment reference.
`void` `setDesignAttributes(PropertyAttributes value)` Sets the value of the '`Design Attributes`' containment reference.
`void` `setNameValue(NameValuePair value)` Sets the value of the '`Name Value`' containment reference.
`void` `setNameValue(java.lang.String name, java.lang.String value)` Sets the value of the '`Name Value`' containment reference with the pair values.

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of the 'Name Value' containment reference.

  Returns:
    the property name, or null if none is specified
  See Also:
    `getNameValue()`

### getValue

    public java.lang.String getValue()

  Returns the value of the 'Name Value' containment reference.

  Returns:
    the property value, or null if none is specified
  See Also:
    `getNameValue()`

### getNameValue

    public NameValuePair getNameValue()

  Returns the value of the 'Name Value' containment reference. Property name and corresponding value if available. The property value must be a string. The value may be selected from one of the value choices defined for a property.

  Returns:
    the value of the 'Name Value' containment reference.
  See Also:
    `setNameValue(NameValuePair)`, `DesignPackage.getProperty_NameValue()`

### setNameValue

    public void setNameValue(NameValuePair value)

  Sets the value of the '`Name Value`' containment reference.

  Parameters:
    `value` - the new value of the 'Name Value' containment reference.
  See Also:
    `getNameValue()`

### setNameValue

    public void setNameValue(java.lang.String name,
                             java.lang.String value)

  Sets the value of the '`Name Value`' containment reference with the pair values.

  Parameters:
    `name` -
    `value` -
  See Also:
    `setNameValue(NameValuePair)`

### getDesignAttributes

    public PropertyAttributes getDesignAttributes()

  Returns the value of the 'Design Attributes' containment reference. Property attributes defined for this *instance* of DataAccessDesign. This set of attributes overrides all those pre-defined by an ODA extension in its plugin.xml. An ODA host designer should apply those pre-defined attributes by default to this instance, only if none is specified here.

  Returns:
    the value of the 'Design Attributes' containment reference.
  See Also:
    `setDesignAttributes(PropertyAttributes)`, `DesignPackage.getProperty_DesignAttributes()`

### setDesignAttributes

    public void setDesignAttributes(PropertyAttributes value)

  Sets the value of the '`Design Attributes`' containment reference.

  Parameters:
    `value` - the new value of the 'Design Attributes' containment reference.
  See Also:
    `getDesignAttributes()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.